Jump to
Ctrl
+
/

List Assets by Vault Account ID

GET
/vaults/{vaultId}/vault-accounts/{vaultAccountId}/list-assets

Through this endpoint customers can obtain information about available assets in their vault accounts, with optional filtering by asset symbol.

Path Parameters

vaultAccountId string Required

Unique identifier of the vault account.

vaultId string Required

Unique identifier of the vault.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

assetUnit string Optional

Filters results by asset symbol, e.g ETH, LTC,BCH, BNB, TRX, USDT, USDC.

limit integer Optional

Defines how many items should be returned in the response per page basis.

Default : 50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2026-03-20
requestId string Required

Defines the ID of the request. The requestId is generated by Vaultody and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
limit integer Required

Defines how many items should be returned in the response per page basis.

50
startingAfter string Optional

Defines the id of the previous listed record id from which the current list should start from.

5ca21f92cf5431000105d1a7
hasMore boolean Required

Defines whether or not there are more elements available after this set.

true
items array Items (object) Required
assetId string Required

Unique identifier of the asset.

6913471c6b2794841dc8fb6f
assetUnit string Required

Asset symbol (e.g., BTC, ETH, LTC, USDC).

BTC
availableAmount string Required

Amount of the asset available in the vault account.

0.001
blockchain string Required

Blockchain network on which the asset exists (e.g., bitcoin, ethereum).

bitcoin
exchangeRateToUsd string Required

Current exchange rate of the asset to USD.

69156.14

Credits Cost : 0 Credits for 1 Results

Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2026-03-20",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "limit": 50,
        "startingAfter": "5ca21f92cf5431000105d1a7",
        "hasMore": true,
        "items": [
            {
                "assetId": "6913471c6b2794841dc8fb6f",
                "assetUnit": "BTC",
                "availableAmount": "0.001",
                "blockchain": "bitcoin",
                "exchangeRateToUsd": "69156.14"
            }
        ]
    }
}